nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Attributes | List of all members
nxcip::ArchiveSearchOptions Struct Reference

Set of options, used to search archive. More...

`#include <camera_plugin.h>`

## Public Attributes
Picture * | motionMask
UsecUTCTimestamp | startTime
| Min data timestamp that is of interest.
UsecUTCTimestamp | endTime
| Max data timestamp that is of interest.
unsigned long long | periodDetailLevel
bool | keepSmallChunks
int | limit
bool | descSortOrder

## Detailed Description

Set of options, used to search archive.

## Member Data Documentation

## ◆ descSortOrder

bool nxcip::ArchiveSearchOptions::descSortOrder

Sort output data in descending sort order if true.

## ◆ keepSmallChunks

bool nxcip::ArchiveSearchOptions::keepSmallChunks

Whether keep small chunks in result. This option similar to the 'periodDetailLevel', but it applied to the chunk length instead of inter chunks gap length. Minimal allowed chunk length is applied from 'periodDetailLevel' parameter.

## ◆ limit

int nxcip::ArchiveSearchOptions::limit

Strict output data maximum records size.

## ◆ motionMask

Picture* nxcip::ArchiveSearchOptions::motionMask

monochrome (format nxcip::AV_PIX_FMT_MONOBLACK) picture of size (DEFAULT_MOTION_DATA_PICTURE_WIDTH, DEFAULT_MOTION_DATA_PICTURE_HEIGHT) pixels, 1-bit designates that pixel MUST take part in motion search. Dimensions of this data are not the same as those of video picture. Motion data just designates video frame regions that are of interest. If motionMask is NULL, then whole picture is of interest

Note
  Can be NULL
  Motion mask is OPTIONAL. It is used only if BaseCameraManager2::searchByMotionMaskCapability capability is set If plugin does not support BaseCameraManager2::searchByMotionMaskCapability capability it MUST ignore this value

## ◆ periodDetailLevel

unsigned long long nxcip::ArchiveSearchOptions::periodDetailLevel

Required period detalization level. E.g., if two time periods have gap between them less than this value, those time periods SHOULD be reported as one. 0 means that all time periods MUST be returned

Note
  This parameter is used only if BaseCameraManager2::searchByMotionMaskCapability capability is supported
  Support of this parameter is OPTIONAL. Implementation is allowed to ignore this value. Although, implementing it helps for better performance

The documentation for this struct was generated from the following file:

- src/camera/camera_plugin.h